-- load all otui files, order doesn't matter
local configName = modules.game_bot.contentsPanel.config:getCurrentOption().text

local configFiles = g_resources.listDirectoryFiles("/bot/" .. configName .. "/vBot", true, false)
for i, file in ipairs(configFiles) do
  local ext = file:split(".")
  if ext[#ext]:lower() == "ui" or ext[#ext]:lower() == "otui" then
    g_ui.importStyle(file)
  end
end

local function loadScript(name)
  return dofile("/vBot/" .. name .. ".lua")
end

-- here you can set manually order of scripts
-- libraries should be loaded first
local luaFiles = {
}

for i, file in ipairs(luaFiles) do
  loadScript(file)
end



macro(10000, "Anti Idle",  function()
  local oldDir = direction()
  turn((oldDir + 1) % 4)
  schedule(5000, function() 
    turn(oldDir)
  end)
end)


local miningTime =  180000


macro(miningTime, "Auto Mining", function()
    say("!mining")
end)


local depositTime = 600000 -- 10 minutos em milissegundos

macro(depositTime, "Auto Deposit", function()
    say("!deposit 1000000")
end)



